Galacticraft Recommended or Latest ?

CashMoneyLife

Member
Oct 14, 2016
1
0
1
22
i hope this is the right spot asking this if not sorry for that

I always played Galacticraft with 3.0.12.375 for 1.7.10 because the Homepage says its recommended but after i saw the Addons for this Mod i wanted to try them out but all the Addons required the latest Version and last Time i tried the latest Version and it crashed my Game everytime and then i changed to the recommended builds and they worked always fine and i had never Problems with it.

But Time passed and i wanted to ask u guys which Version is now better im just a little afraid of Updating GC and it brakes my World. Which Version do u guys use? and what are the differences of the latest Version and of the recommended Versions?

Thanks for Help
 

Ezer'Arch

Administrator
Staff member
May 18, 2013
1,603
446
83
ezerarch.com
Latest as they contain bugfixes, but may contain unfinished features.

Recommended is when a certain build is long settled/stable/reliable, or doesn't present too many critical bugs.
 

radfast

Administrator
Staff member
Apr 27, 2014
1,142
353
83
or doesn't present too many critical bugs.
Lol. "Recommended" is old with a lot of bugs, definitely don't use it.

For 1.7.10, everyone should use the Latest version. These are stable, and we are not now adding new features to 1.7.10. (The new features are going into 1.8.9 / 1.10.2 BETA versions.)